# Enum Class VulkanSubpassContents

java.lang.Object
java.lang.Enum<VulkanSubpassContents>
com.io7m.jcoronado.api.VulkanSubpassContents

All Implemented Interfaces:
  `VulkanEnumIntegerType`, `Serializable`, `Comparable<VulkanSubpassContents>`, `Constable`

public enum VulkanSubpassContents extends Enum<VulkanSubpassContents> implements VulkanEnumIntegerType

See Also:
  - "VkSubpassContents"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_SUBPASS_CONTENTS_INLINE`
  Specifies that the contents of the subpass will be recorded inline in the primary command buffer, and secondary command buffers must not be executed within the subpass.
  `VK_SUBPASS_CONTENTS_SECONDARY_COMMAND_BUFFERS`
  Specifies that the contents are recorded in secondary command buffers that will be called from the primary command buffer, and vkCmdExecuteCommands is the only valid command on the command buffer until vkCmdNextSubpass or vkCmdEndRenderPass.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanSubpassContents`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanSubpassContents[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_SUBPASS_CONTENTS_INLINE

    public static final VulkanSubpassContents VK_SUBPASS_CONTENTS_INLINE
    Specifies that the contents of the subpass will be recorded inline in the primary command buffer, and secondary command buffers must not be executed within the subpass.

  - ### VK_SUBPASS_CONTENTS_SECONDARY_COMMAND_BUFFERS

    public static final VulkanSubpassContents VK_SUBPASS_CONTENTS_SECONDARY_COMMAND_BUFFERS
    Specifies that the contents are recorded in secondary command buffers that will be called from the primary command buffer, and vkCmdExecuteCommands is the only valid command on the command buffer until vkCmdNextSubpass or vkCmdEndRenderPass.

- ## Method Details

  - ### values

    public static VulkanSubpassContents[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanSubpassContents valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant